commit:     d687386eb2a463bcd914aa8eb3c2619a2a8f919c
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 11 19:25:58 2021 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Fri Jun 11 19:28:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d687386e

app-emulation/buildah: 1.21.1 bump

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 app-emulation/buildah/Manifest              |  1 +
 app-emulation/buildah/buildah-1.21.1.ebuild | 50 +++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/app-emulation/buildah/Manifest b/app-emulation/buildah/Manifest
index 30bcf28e834..e460fb7f336 100644
--- a/app-emulation/buildah/Manifest
+++ b/app-emulation/buildah/Manifest
@@ -1,2 +1,3 @@
 DIST buildah-1.20.1.tar.gz 11522195 BLAKE2B 
2fe2aa9ad5c2212b98be5bced24b6aee39a43ab2c1b28c2c1729cce2b8cfe5920ecb64f013c28d870c6b8c9b369630f83e27dc7698eb66b3e368ef0bff4cb3ed
 SHA512 
22495d9f0da1d6061ddb41e4cecfdb2108c152262798d6c959fc524870160f15ee486bcc37e262e571c64dc732e852f05e6c4b9331bbdef4150bd56997fefa83
 DIST buildah-1.21.0.tar.gz 11693220 BLAKE2B 
1f281830ca348e55e9cc2e55dd92e8372174f736c6e8a7ae4de1f5c3279bc272036cf65a2946a143df6e1f282461d347f26c361894b83399854cf900e9f2cc71
 SHA512 
2ce6afceadec37f54f7f80562969cc382267dabc4fa5a89a09a211326e403376d209d89162333337af8602cb5c551eb446d3c9fac26f516fb8d354a7b5b77472
+DIST buildah-1.21.1.tar.gz 11693142 BLAKE2B 
513f75d8f2831130759f3bcb77fad311c28862b82df8866608bd909eea38468a6b576dfad2598725caa9c4e413108ea6ec3557c8a777017cc8a37b5cb16b70a1
 SHA512 
8fb30ed0948f898aef9a32c34d4b2a2e04a376257a73184ec01b67c770be1c3c87e46987ad001ececf2235cb5e17f9d0ff9e9f34be61ddd0935859c4e5b37d1f

diff --git a/app-emulation/buildah/buildah-1.21.1.ebuild 
b/app-emulation/buildah/buildah-1.21.1.ebuild
new file mode 100644
index 00000000000..43eb836a60f
--- /dev/null
+++ b/app-emulation/buildah/buildah-1.21.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit bash-completion-r1 go-module
+GIT_COMMIT=d70e8ae3
+
+DESCRIPTION="A tool that facilitates building OCI images"
+HOMEPAGE="https://github.com/containers/buildah";
+SRC_URI="https://github.com/containers/buildah/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="selinux"
+
+RDEPEND="app-crypt/gpgme:=
+       app-emulation/skopeo
+       dev-libs/libgpg-error:=
+       dev-libs/libassuan:=
+       sys-fs/lvm2:=
+       sys-libs/libseccomp:=
+       selinux? ( sys-libs/libselinux:= )"
+DEPEND="${RDEPEND}"
+
+RESTRICT+=" test"
+
+src_prepare() {
+       default
+       [[ -f selinux_tag.sh ]] || die
+       use selinux || { echo -e "#!/bin/sh\ntrue" > \
+               selinux_tag.sh || die; }
+       sed -i -e 's/make -C/$(MAKE) -C/' Makefile || die 'sed failed'
+}
+
+src_compile() {
+       emake GIT_COMMIT=${GIT_COMMIT} all
+}
+
+src_install() {
+       dodoc CHANGELOG.md CONTRIBUTING.md README.md install.md 
troubleshooting.md
+       doman docs/*.1
+       dodoc -r docs/tutorials
+       dobin bin/{${PN},imgtype}
+       dobashcomp contrib/completions/bash/buildah
+}
+
+src_test() {
+       emake test-unit
+}

Reply via email to